<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>V12Database (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="V12Database (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version12/V12Database.html" target="_top">Frames</a></li>
<li><a href="V12Database.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.version12</div>
<h2 title="Class V12Database" class="title">Class V12Database</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbAttachment</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbDatabase</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire">org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">org.firebirdsql.gds.ng.wire.version10.V10Database</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11">org.firebirdsql.gds.ng.wire.version11.V11Database</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.version12.V12Database</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>, <a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/version13/V13Database.html" title="class in org.firebirdsql.gds.ng.wire.version13">V13Database</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">V12Database</span>
extends <a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11Database</a></pre>
<div class="block"><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireDatabase</code></a> implementation for the version 12 wire protocol.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireAttachment">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireDatabase</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#protocolDescriptor">protocolDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#wireOperations">wireOperations</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Database.html#V12Database-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">V12Database</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
           <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;descriptor)</code>
<div class="block">Creates a V12Database instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Database.html#cancelOperation-int-">cancelOperation</a></span>(int&nbsp;kind)</code>
<div class="block">Cancels the current operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Database.html#getFilenameEncoding-org.firebirdsql.gds.DatabaseParameterBuffer-">getFilenameEncoding</a></span>(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Gets the <code>Encoding</code> to use for the database filename.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.version11.V11Database">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.version11.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11Database</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html#enqueueDeferredAction-org.firebirdsql.gds.ng.wire.DeferredAction-">enqueueDeferredAction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html#releaseObject-int-int-">releaseObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.version10.V10Database">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Database</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#afterAttachActions--">afterAttachActions</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#attach--">attach</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#attachOrCreate-org.firebirdsql.gds.DatabaseParameterBuffer-boolean-">attachOrCreate</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#authReceiveResponse-org.firebirdsql.gds.ng.wire.FbWireAttachment.AcceptPacket-">authReceiveResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#createDatabase--">createDatabase</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#createStatement-org.firebirdsql.gds.ng.FbTransaction-">createStatement</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#doReleaseObjectPacket-int-int-">doReleaseObjectPacket</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#dropDatabase--">dropDatabase</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#executeImmediate-java.lang.String-org.firebirdsql.gds.ng.FbTransaction-">executeImmediate</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#getBlrCalculator--">getBlrCalculator</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#getDatabaseInfo-byte:A-int-">getDatabaseInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#getHandle--">getHandle</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#getTransactionIdBuffer-long-">getTransactionIdBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#initAsynchronousChannel--">initAsynchronousChannel</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#internalDetach--">internalDetach</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#processAttachOrCreateResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">processAttachOrCreateResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#processReleaseObjectResponse-org.firebirdsql.gds.ng.wire.Response-">processReleaseObjectResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#reconnectTransaction-long-">reconnectTransaction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#sendAttachOrCreateToBuffer-org.firebirdsql.gds.DatabaseParameterBuffer-boolean-">sendAttachOrCreateToBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#startTransaction-org.firebirdsql.gds.TransactionParameterBuffer-">startTransaction</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireDatabase</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#checkAttached--">checkAttached</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#checkConnected--">checkConnected</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#closeConnection--">closeConnection</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">consumePackets</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#finalize--">finalize</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrIn--">getXdrIn</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrOut--">getXdrOut</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#getXdrStreamAccess--">getXdrStreamAccess</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#isAttached--">isAttached</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readGenericResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSqlResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbDatabase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addDatabaseListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#addWeakDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addWeakDatabaseListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#close--">close</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createBlobParameterBuffer--">createBlobParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getActiveTransactionCount--">getActiveTransactionCount</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionDialect--">getConnectionDialect</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseDialect--">getDatabaseDialect</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getDatabaseInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseInformationProcessor--">getDatabaseInformationProcessor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDatabaseWarningCallback--">getDatabaseWarningCallback</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getDescribeDatabaseInfoBlock--">getDescribeDatabaseInfoBlock</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMajor--">getOdsMajor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getOdsMinor--">getOdsMinor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#removeDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">removeDatabaseListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setDatabaseDialect-short-">setDatabaseDialect</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMajor-int-">setOdsMajor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#setOdsMinor-int-">setOdsMinor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionAdded-org.firebirdsql.gds.ng.FbTransaction-">transactionAdded</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html#transactionStateChanged-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.ng.TransactionState-org.firebirdsql.gds.ng.TransactionState-">transactionStateChanged</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireDatabase">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#consumePackets-int-org.firebirdsql.gds.ng.WarningMessageCallback-">consumePackets</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readResponse</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html#readSqlResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readSqlResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbDatabase">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#addDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addDatabaseListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#addWeakDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">addWeakDatabaseListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelEvent-org.firebirdsql.gds.EventHandle-">cancelEvent</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#countEvents-org.firebirdsql.gds.EventHandle-">countEvents</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createBlobForInput</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createBlobForOutput</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobParameterBuffer--">createBlobParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-">createEventHandle</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#createTransactionParameterBuffer--">createTransactionParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getConnectionDialect--">getConnectionDialect</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getConnectionProperties--">getConnectionProperties</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseDialect--">getDatabaseDialect</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getDatabaseInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getDatabaseInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getOdsMajor--">getOdsMajor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#getOdsMinor--">getOdsMinor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#queueEvent-org.firebirdsql.gds.EventHandle-">queueEvent</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#removeDatabaseListener-org.firebirdsql.gds.ng.listeners.DatabaseListener-">removeDatabaseListener</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.FbWireAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#getXdrStreamAccess--">getXdrStreamAccess</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html#readGenericResponse-org.firebirdsql.gds.ng.WarningMessageCallback-">readGenericResponse</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="V12Database-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>V12Database</h4>
<pre>protected&nbsp;V12Database(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
                      <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;descriptor)</pre>
<div class="block">Creates a V12Database instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - A WireConnection with an established connection to the server.</dd>
<dd><code>descriptor</code> - The ProtocolDescriptor that created this connection (this is
         used for creating further dependent objects).</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="cancelOperation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelOperation</h4>
<pre>public&nbsp;void&nbsp;cancelOperation(int&nbsp;kind)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-">FbDatabase</a></code></span></div>
<div class="block">Cancels the current operation.
 <p>
 The cancellation types are:
 <dl>
     <dt><a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_disable"><code>ISCConstants.fb_cancel_disable</code></a></dt>
     <dd>disables execution of fb_cancel_raise requests for the specified attachment. It can be useful when your0
     program is executing critical operations, such as cleanup, for example.</dd>
     <dt><a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_enable"><code>ISCConstants.fb_cancel_enable</code></a></dt>
     <dd>re-enables delivery of a cancel execution that was previously disabled. The 'cancel' state is effective
     by default, being initialized when the attachment is created.</dd>
     <dt><a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_raise"><code>ISCConstants.fb_cancel_raise</code></a></dt>
     <dd>cancels any activity related to the database handle. The effect will be that, as soon as possible, the
     engine will try to stop the running request and return an exception to the caller</dd>
     <dt><a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#fb_cancel_abort"><code>ISCConstants.fb_cancel_abort</code></a></dt>
     <dd>forcibly close client side of connection. Useful if you need to close a connection urgently. All active
     transactions will be rolled back by the server. 'Success' is always returned to the application. Use with
     care!</dd>
 </dl>
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html#cancelOperation-int-">cancelOperation</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#cancelOperation-int-">cancelOperation</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Database</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kind</code> - Cancellation type</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors cancelling, or if the cancel operation is not supported.</dd>
</dl>
</li>
</ul>
<a name="getFilenameEncoding-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getFilenameEncoding</h4>
<pre>protected&nbsp;<a href="../../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getFilenameEncoding(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</pre>
<div class="block">Gets the <code>Encoding</code> to use for the database filename.
 <p>
 For version 12 always returns the UTF8 encoding.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html#getFilenameEncoding-org.firebirdsql.gds.DatabaseParameterBuffer-">getFilenameEncoding</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Database.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Database</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dpb</code> - Database parameter buffer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12"><code>V12ParameterConverter</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version12/V12Database.html" target="_top">Frames</a></li>
<li><a href="V12Database.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
